package eu.mhsl.craftattack.worldmuseum.inventory;

import eu.mhsl.craftattack.worldmuseum.worlds.World;
import eu.mhsl.craftattack.worldmuseum.worlds.WorldManager;
import net.kyori.adventure.text.Component;
import net.kyori.adventure.text.format.NamedTextColor;
import net.minestom.server.inventory.Inventory;
import net.minestom.server.inventory.InventoryType;

import java.util.List;

public class WorldSelector extends Inventory {
    public WorldSelector() {
        super(InventoryType.CHEST_1_ROW, Component.text("Weltenauswahl").color(NamedTextColor.DARK_GRAY));

        List<World> worlds = WorldManager.getInstance().getWorlds();
        for (int i = 0; i < worlds.size(); i++) {
            World world = worlds.get(i);
            setItemStack(i, world.getItem());
        }

        addInventoryCondition((player, slot, clickType, inventoryConditionResult) -> {
            inventoryConditionResult.setCancel(true);

            player.closeInventory();
            try {
                worlds.get(slot).movePlayer(player);
            } catch (IndexOutOfBoundsException ignore) {}
        });
    }
}
